Subject: Re: linux-next: build warning after merge of the amdgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 24 Apr 2021 08:39:24 +1000

Hi Alex,

On Fri, 23 Apr 2021 16:36:50 -0400 Alex Deucher <[email-masked]> wrote:
>
> On Wed, Apr 21, 2021 at 2:40 AM Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 16 Apr 2021 12:40:44 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > After merging the amdgpu tree, today's linux-next build (powerpc
> > > ppc64_defconfig) produced this warning:
> > >
> > > drivers/pci/quirks.c: In function 'quirk_amd_nvme_fixup':
> > > drivers/pci/quirks.c:312:18: warning: unused variable 'rdev' [-Wunused-variable]
> > >   312 |  struct pci_dev *rdev;
> > >       |                  ^~~~
> > >
> > > Introduced by commit
> > >
> > >   9597624ef606 ("nvme: put some AMD PCIE downstream NVME device to simple suspend/resume path")  
> >
> > I am still seeing this warning.  
> 
> I no longer have that patch in my tree.  Was this an old build?

I guess my email crossed with the patch removal as I not longer get the
warning. Thanks.

-- 
Cheers,
Stephen Rothwell